diff --git a/src/common/gui/CModulationSourceButton.cpp b/src/common/gui/CModulationSourceButton.cpp
index 2a317b91b..a734058cf 100644
--- a/src/common/gui/CModulationSourceButton.cpp
+++ b/src/common/gui/CModulationSourceButton.cpp
@@ -164,7 +164,7 @@ void CModulationSourceButton::draw(CDrawContext* dc)
       FontCol = UsedOrActive ? skin->getColor( "modbutton.inactive.font.hover", brighten( ColEdge )  ):
          skin->getColor( "modbutton.used.font.hover", brighten( ColSemiTint ) );
    }
-   
+
    if (ActiveModSource)
    {
       FrameCol = skin->getColor( "modbutton.active.frame", ColBlink ); // blink ? ColBlink : ColTint;
@@ -197,6 +197,16 @@ void CModulationSourceButton::draw(CDrawContext* dc)
          FontCol = skin->getColor( "modbutton.used.font.hover", brighten( ColHover ) );
    }
 
+   if( secondaryHover )
+   {
+      FontCol = skin->getColor( "modbutton.secondaryhover", VSTGUI::CColor( 0xFF, 0x90, 0x00 ) );
+      if( ActiveModSource )
+         FontCol = skin->getColor( "modbutton.active.secondaryhover", FontCol );
+      if( SelectedModSource )
+         FontCol = skin->getColor( "modbutton.active.secondaryhover", kWhiteCColor );
+   }
+   
+
    CRect framer(sze);
    CRect fillr(framer);
    fillr.inset(1, 1);
diff --git a/src/common/gui/CModulationSourceButton.h b/src/common/gui/CModulationSourceButton.h
index d9e521878..11b329b6b 100644
--- a/src/common/gui/CModulationSourceButton.h
+++ b/src/common/gui/CModulationSourceButton.h
@@ -99,5 +99,14 @@ class CModulationSourceButton : public CCursorHidingControl, public Surge::UI::S
    }
    bool hovered = false;
 
+   bool secondaryHover = false;
+   void setSecondaryHover( bool sh ) {
+      if( sh != secondaryHover )
+      {
+         secondaryHover = sh;
+         invalid();
+      }
+   }
+   
    CLASS_METHODS(CModulationSourceButton, VSTGUI::CControl)
 };
diff --git a/src/common/gui/CSurgeSlider.cpp b/src/common/gui/CSurgeSlider.cpp
index b05a6676c..b1fc44c2a 100644
--- a/src/common/gui/CSurgeSlider.cpp
+++ b/src/common/gui/CSurgeSlider.cpp
@@ -758,6 +758,15 @@ CMouseEventResult CSurgeSlider::onMouseUp(CPoint& where, const CButtonState& but
 VSTGUI::CMouseEventResult CSurgeSlider::onMouseEntered(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons)
 {
    in_hover = true;
+
+   {
+      auto sge = dynamic_cast<SurgeGUIEditor*>(listener);
+      if( sge )
+      {
+         sge->sliderHoverStart( getTag() );
+      }
+   }
+
    invalid();
    return kMouseEventHandled;
 }
@@ -765,6 +774,15 @@ VSTGUI::CMouseEventResult CSurgeSlider::onMouseEntered(VSTGUI::CPoint& where, co
 VSTGUI::CMouseEventResult CSurgeSlider::onMouseExited(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons)
 {
    in_hover = false;
+
+   {
+      auto sge = dynamic_cast<SurgeGUIEditor*>(listener);
+      if( sge )
+      {
+         sge->sliderHoverEnd( getTag() );
+      }
+   }
+   
    if( wheelInitiatedEdit )
       while( editing )
          endEdit();
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 75be209d5..53f08ca3a 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -6706,3 +6706,33 @@ void SurgeGUIEditor::setupSkinFromEntry( const Surge::UI::SkinDB::Entry &entry )
    }
    reloadFromSkin();
 }
+
+void SurgeGUIEditor::sliderHoverStart( int tag )
+{
+   int ptag =  tag - start_paramtags;
+   for (int k = 1; k < n_modsources; k++)
+   {
+      modsources ms = (modsources)k;
+      if (synth->isActiveModulation(ptag, ms))
+      {
+         auto gms = dynamic_cast<CModulationSourceButton  *>(gui_modsrc[k]);
+         if( gms )
+         {
+            gms->setSecondaryHover(true);
+         }
+         
+      }
+   };
+}
+void SurgeGUIEditor::sliderHoverEnd( int tag )
+{
+   for (int k = 1; k < n_modsources; k++)
+   {
+      auto gms = dynamic_cast<CModulationSourceButton *>(gui_modsrc[k]);
+      if( gms )
+      {
+         gms->setSecondaryHover(false);
+      }
+   }   
+
+}
diff --git a/src/common/gui/SurgeGUIEditor.h b/src/common/gui/SurgeGUIEditor.h
index 9ce222219..23e73beef 100644
--- a/src/common/gui/SurgeGUIEditor.h
+++ b/src/common/gui/SurgeGUIEditor.h
@@ -238,6 +238,12 @@ class SurgeGUIEditor : public EditorType, public VSTGUI::IControlListener, publi
    void queueRebuildUI() { queue_refresh = true; synth->refresh_editor = true; }
 
    std::string midiMappingToHtml();
+
+   /*
+   ** Modulation Hover Support 
+   */
+   void sliderHoverStart( int tag );
+   void sliderHoverEnd( int tag );
    
 private:
    /**
